Updating module? Proposed version is older?

Hi,

I used drush to check available updates, and for a certain module I’m getting something like this:

name: UUID Features (uuid_features)
installed version: 7.x-1.0-alpha4+60-dev
proposed version: 7.x-1.x-dev

when I check the uuid_feature page the alpha4 version is the latest. My understanding is that the version we have is the alpha 4 version +60 commits from dev…whereas the proposed version 7.x-1.x-dev is a much older release from May 30, 2011. Should I avoid this update as it seems the proposed version is older?

Thanks!

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/22/feed